# Ore (Core)

* [Source](http://github.com/ruby-ore/ore-core)
* [Issues](http://github.com/ruby-ore/ore-core/issues)
* [Documentation](http://rubydoc.info/gems/ore-core/frames)
* [Email](mailto:postmodern.mod3 at gmail.com)
* IRC: irc.freenode.net #ruby-ore

## Description

Ore is a simple RubyGem building solution. Ore handles the creation of
[Gem::Specification](http://docs.rubygems.org/read/chapter/20) objects as
well as building `.gem` files. Ore allows the developer to keep all of the
project information in a single YAML file.

## Features

* Stores project information in **one YAML file** (`gemspec.yml`).
* **Does not** have dependencies.
* **Does not** impose a development workflow onto the developer.
  One could even use Ore with
  [Jeweler::Tasks](https://github.com/technicalpickles/jeweler#readme).
* **Can** load the project version from:
  * `VERSION` or `VERSION.yml` files.
  * `VERSION` constants or `Version` modules defined in a `version.rb` file.
* **Can** be used in traditional `.gemspec` files:

      begin
        Ore::Specification.new do |gemspec|
          # custom logic here
        end
      rescue NameError
        begin
          require 'ore/specification'
          retry
        rescue LoadError
          STDERR.puts "The '#{__FILE__}' file requires Ore."
          STDERR.puts "Run `gem install ore-core` to install Ore."
        end
      end

* **Can** be used with [Bundler](http://gembundler.com).

## Install

    $ gem install ore-core

## Example gemspec.yml files

The `gemspec.yml` file used to build Ore:

    name: ore-core
    version: 0.1.5
    summary: Mine raw RubyGems from YAML.
    description:
      Ore is a simple RubyGem building solution. Ore handles the
      creation of Gem::Specification objects as well as building '.gem'
      files. Ore allows the developer to keep all of the project information
      in a single YAML file.
    
    license: MIT
    authors: Postmodern
    email: postmodern.mod3@gmail.com
    homepage: http://github.com/ruby-ore/ore-core
    has_yard: true
    
    development_dependencies:
      yard: ~> 0.6
      rspec: ~> 2.4

For a complete refrence to the `gemspec.yml` file, please see
[GemspecYML Reference](http://rubydoc.info/gems/ore-core/file/GemspecYML.html).

## License

Copyright (c) 2010-2011 Hal Brodigan

See {file:LICENSE.txt} for license information.
